Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229541 - libtool contain hardcoded "4.1.1" path to gcc libsm and we are in 4.1.2 era
Summary: libtool contain hardcoded "4.1.1" path to gcc libsm and we are in 4.1.2 era
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libtool
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 222042
TreeView+ depends on / blocked
 
Reported: 2007-02-21 19:33 UTC by Balint Cristian
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-23 11:43:49 UTC


Attachments (Terms of Use)

Description Balint Cristian 2007-02-21 19:33:10 UTC
Description of problem:
libtool contain hardcoded "4.1.1" path to gcc libsm and we are in 4.1.2 era

libtool from -devel contain:
sys_lib_search_path_spec=`echo " /usr/lib/gcc/x86_64-redhat-linux/4.1.1/ /usr/lib/gcc/x86_64-redhat-linux/4.1.1/ /usr/lib/gcc/x86_64-redhat-linux/4.1.1/../../../../x86_64-redhat-linux/lib/x86_64-redhat-linux/4.1.1/ /usr/lib/gcc/x86_64-redhat-linux/4.1.1/../../../../x86_64-redhat-linux/lib/ /usr/lib/gcc/x86_64-redhat-linux/4.1.1/../../../x86_64-redhat-linux/4.1.1/ /usr/lib/gcc/x86_64-redhat-linux/4.1.1/../../../ /lib/x86_64-redhat-linux/4.1.1/ /lib/ /usr/lib/x86_64-redhat-linux/4.1.1/ /usr/lib/" | 
$SED -e "s@${gcc_dir}@\${gcc_dir}@g;s@${gcc_ver}@\${gcc_ver}@g"`
Version-Release number of selected component (if applicable):


How reproducible:
try to build packages like bz#222042 ...


BTW, not a libtool "expert" but it isnt possible somehow instead of 
hardencoded string do something like: `gcc --print-search-dirs` or similar ?

Comment 1 Balint Cristian 2007-02-21 19:39:55 UTC
To reproduce try build http://openrisc.rdsor.ro/gdal-1.4.0-7.src.rpm from 
bz#222042 and see why it search for 4.1.1 path while we have 4.1.2 compiler 
in -devel.


Note You need to log in before you can comment on or make changes to this bug.